@startuml

skinparam componentStyle uml2
skinparam handwritten true
skinparam component {
    BackgroundColor #F7F7F7
    BorderColor #0092BC
    ArrowColor #E53138
}

title Interactions between Tracker components

cloud "New partner\napplications" as NEW_PARTNER_APPLICATIONS {
    component [Tracker client] as CLIENT
}

cloud "Support\napplications" as SUPPORT {
    component [Web pages] as SUPPORT_PAGES
}

cloud "URSSAF\napplication" as URSSAF_APPLICATION {
    component [Processes] as URSSAF_PROCESSES
}

package "Tracker server" as SERVER {
    component [REST API] as REST_SERVER
    component [SOAP adapter] as SOAP_SERVER
    component [Persistence] as PERSISTENCE
}

database "\nDatabase\n" AS DATABASE {
}

SUPPORT_PAGES -down-> REST_SERVER : REST
CLIENT -down-> REST_SERVER : REST

URSSAF_PROCESSES -down-> SOAP_SERVER : SOAP

REST_SERVER -down-> PERSISTENCE
SOAP_SERVER -down-> PERSISTENCE

PERSISTENCE .. DATABASE

@enduml
